
<ion-content>
  <form [formGroup]="loginForm" (ngSubmit)="login()">
    <div class="padding">
      <ion-row>
        <img src="assets/images/avatar.png" />
      </ion-row>
      <ion-row>
        <ion-col>
          <ion-label color="light">Email:</ion-label>
          <ion-input color="light" placeholder="Adresse email" name="email"   type="email" formControlName="email" required ></ion-input>
        </ion-col>
      </ion-row>
        <ion-item *ngIf="!loginForm.controls.email.valid  && (loginForm.controls.email.dirty)">
          <p>Please enter a valid email.</p>
          <p *ngIf="loginForm.controls.email.dirty">email existe dejas.</p>
        </ion-item>
        
      <ion-row>
        <ion-col>
          <ion-label color="light">Mot de passe:</ion-label><br>
          <ion-input color="light" placeholder="Mot de passe" name="password"  type="password" formControlName="password" required>
      
          </ion-input>
        </ion-col>
      </ion-row>
            <ion-item *ngIf="!loginForm.controls.password.valid  && (loginForm.controls.password.dirty)">
              <p>Please enter a valid password.</p>
            </ion-item>

            <ion-item *ngIf="!loginForm.controls.password.valid  || (!loginForm.controls.email.valid)">
              <p>email ou mot de passe incorrect.</p>
            </ion-item>
        <ion-item lines="none">
            <ion-button fill="clear" slot="end" (click)="resetPassword()">
                MoT DE PASSE OUBLIE?
            </ion-button>
        </ion-item>
        <ion-button color="light" fill="outline" shape="round" expand="block" [disabled]="loginForm.invalid" type="submit" >Connexion</ion-button>
            <br>
        <ion-button shape="round" expand="block" routerLink="/form-register-three"  >Inscription</ion-button>
        <ion-item lines="none">
            <ion-label text-center color="dark">Ou connectez-vous avec</ion-label>
        </ion-item>
        <div>
          <ion-button color="light" shape="round" expand="block" (click)="fbLogin()">
            se connecter avec facebook
            <ion-icon name="logo-facebook"></ion-icon>
          </ion-button>
        </div>
        
    </div>
  </form>
</ion-content>